/*
 * worker.h
 * Defines worker thread and utility functions.
 *
 * Copyright (C) 2021 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: anjan.chanda@iopsys.eu
 *
 */

#ifndef WORKER_H
#define WORKER_H


/* worker thread */
struct worker {
	pthread_attr_t attr;
	pthread_t id;
	void *data;
	int (*func)(void *data);
};

extern int worker_init(struct worker *w);
extern void worker_exit(struct worker *w);

#endif /* WORKER_H */
